igeo

## Class IParticleDirectionLink

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.IParticleDirectionLink

- All Implemented Interfaces:
    IDynamics, ISubobject

      public class IParticleDirectionLink
      extends IDynamicsBase

  Class of an implementation of IDynamics to limit particles to be spacified direction from a center.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `center`
    `java.util.ArrayList<IParticleGeo>` | `particles`
    `IVec` | `vel`

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParticleDirectionLink(java.util.ArrayList<IParticleGeo> ptcls, IVecI cntr)`
    `IParticleDirectionLink(java.util.ArrayList<IParticleGeo> ptcls, IVecI cntr, IObject parent)`
    `IParticleDirectionLink(IParticleGeo[] ptcls, IVecI cntr)`
    `IParticleDirectionLink(IParticleGeo[] ptcls, IVecI cntr, IObject parent)`
    `IParticleDirectionLink(IVecI cntr)`
    `IParticleDirectionLink(IVecI cntr, IObject parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IParticleGeo p)`
    `void` | `initParticleDirectionLink()`
    `void` | `update()` behavior definition of updating dynamics in each time frame

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### particles

          public java.util.ArrayList<IParticleGeo> particles

    - #### center

          public IVecI center

    - #### vel

          public IVec vel

  - ### Constructor Detail

    - #### IParticleDirectionLink

          public IParticleDirectionLink(java.util.ArrayList<IParticleGeo> ptcls,
                                        IVecI cntr,
                                        IObject parent)

    - #### IParticleDirectionLink

          public IParticleDirectionLink(IParticleGeo[] ptcls,
                                        IVecI cntr,
                                        IObject parent)

    - #### IParticleDirectionLink

          public IParticleDirectionLink(IVecI cntr,
                                        IObject parent)

    - #### IParticleDirectionLink

          public IParticleDirectionLink(java.util.ArrayList<IParticleGeo> ptcls,
                                        IVecI cntr)

    - #### IParticleDirectionLink

          public IParticleDirectionLink(IParticleGeo[] ptcls,
                                        IVecI cntr)

    - #### IParticleDirectionLink

          public IParticleDirectionLink(IVecI cntr)

  - ### Method Detail

    - #### initParticleDirectionLink

          public void initParticleDirectionLink()

    - #### add

          public void add(IParticleGeo p)

    - #### update

          public void update()

      Description copied from class: `IDynamicsBase`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IDynamicsBase`